// ============================================================================
// FLOTILLA - Tabbing system
// Description: The .Flotilla-content divs need to come directly after
// the .Flotilla-tabs
// ============================================================================

var Flotilla = {};

(function(N, $){ //start IIFE
Flotilla.assignDataIDs = function(){
  this.$tabsTab.each(function(i){
    var index = $(this).index();
    $(this).attr('data-id', i);
    $(this).siblings('.Flotilla-content').eq(index).attr('data-id', i);
  });
};
Flotilla.eventHandlers = function(){
  this.$tabsTab.on('click', function(){
    var id = $(this).attr('data-id');
    $(this).siblings('.Flotilla-tab').removeClass('active');
    $(this).addClass('active');
    $(this).closest('.Flotilla-tab-wrap').children('.Flotilla-content').removeClass('active');
    $('.Flotilla-content[data-id='+id+']').addClass('active');
  });
};

Flotilla.init = function(){
  this.$tabs = $('.Flotilla-tab-wrap');
  if( this.$tabs.length ){ //check if tabs exist on page
    this.$tabsTab = $('.Flotilla-tab');
    this.$tabsContent = $('.Flotilla-content');
    this.assignDataIDs();
    this.eventHandlers();
  }
};


}(N, $)); //end IIFE

$(document).ready(function(){
  Flotilla.init();
});
